version: '3.4'

services:
  activeallocator-site:
    image: activeallocator:1.0.0
    container_name: activeallocator
    env_file:
      - .env
      #    environment:
      #      - ActiveAllocator__Database__Port=15432
      #build:
      #context: .
      #dockerfile: MoviesAPI/Dockerfile
    ports:
      - 80:80
      - 7555:7260
    depends_on:
      - database

  database:
    container_name: activeallocator-db
    image: 'postgres:15'
    #ports:
    #  - 15432:5432
    env_file:
      - .env
    #networks:
     # - postgres-network
    volumes:
      - ./pg-db_data/:/var/lib/postgresql/data/
